# Class OjColorPalette

The component WebElement for oj-color-palette. Do not instantiate this class directly, instead, use ojColorPalette.

#### Hierarchy

- OjColorPaletteBase
  - OjColorPalette

#####
Index

### Constructors

constructor

### Methods

changeMessagesCustom
changeValue
clear
click
findElement
findElements
getAttribute
getCssValue
getDescribedBy
getDisabled
getDisplayOptions
getHelp
getHelpHints
getLabelDisplay
getLabelEdge
getLabelHint
getLabelledBy
getLayout
getLocation
getMessagesCustom
getPalette
getPlaceholder
getProperty
getRect
getSize
getSwatchSize
getText
getTranslations
getUserAssistanceDensity
getValid
getValue
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjColorPalette(el, locators): OjColorPalette

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjColorPalette

  Inherited from OjColorPaletteBase.constructor

## Methods

### changeMessagesCustom

- changeMessagesCustom(messagesCustom): Promise<void>

- Sets the value of `messagesCustom` property. A list of messages added by an application to the component. See the Help documentation for more information.

  #### Parameters

  - ##### messagesCustom: object[]

    The value to set for `messagesCustom`

  #### Returns Promise<void>

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.changeMessagesCustom

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The current value of the palette element.

  #### Parameters

  - ##### value: string | object

    The value to set for `value`

  #### Returns Promise<void>

  Inherited from OjColorPaletteBase.changeValue

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjColorPaletteBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getCssValue

### getDescribedBy

- getDescribedBy(): Promise<string>

- Gets the value of `describedBy` property. The form component's oj-label automatically sets described-by to make it accessible. It is not meant to be set by application developer.

  #### Returns Promise<string>

  The value of `describedBy` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getDescribedBy

### getDisabled

- getDisabled(): Promise<boolean>

- Gets the value of `disabled` property. Specifies whether the component is disabled. The default is false.

  #### Returns Promise<boolean>

  The value of `disabled` property.

  #### Deprecated

  Since 18.0.0. Disabled is not supported by the Color Palette UX specification.

  Inherited from OjColorPaletteBase.getDisabled

### getDisplayOptions

- getDisplayOptions(): Promise<DisplayOptions>

- Gets the value of `displayOptions` property. Form component display options.

  #### Returns Promise<DisplayOptions>

  The value of `displayOptions` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getDisplayOptions

### getHelp

- getHelp(): Promise<Help>

- Gets the value of `help` property. Form component help information.

  #### Returns Promise<Help>

  The value of `help` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getHelp

### getHelpHints

- getHelpHints(): Promise<HelpHints>

- Gets the value of `helpHints` property. Represents hints for an oj-form-layout element to render help information on the label of the editable component.

  #### Returns Promise<HelpHints>

  The value of `helpHints` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getHelpHints

### getLabelDisplay

- getLabelDisplay(): Promise<string>

- Gets the value of `labelDisplay` property. Specifies whether a text label accompanies the color swatch.

  #### Returns Promise<string>

  The value of `labelDisplay` property.

  #### Deprecated

  Since 18.0.0. This is deprecated as labels are no longer supported.

  Inherited from OjColorPaletteBase.getLabelDisplay

### getLabelEdge

- getLabelEdge(): Promise<string>

- Gets the value of `labelEdge` property. Defines how the label of a component is created. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `labelEdge` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getLabelEdge

### getLabelHint

- getLabelHint(): Promise<string>

- Gets the value of `labelHint` property. Represents a hint for oj-form-layout element to render a label on the editable component.

  #### Returns Promise<string>

  The value of `labelHint` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getLabelHint

### getLabelledBy

- getLabelledBy(): Promise<string>

- Gets the value of `labelledBy` property. Used to establish a relationship between this element and another element.

  #### Returns Promise<string>

  The value of `labelledBy` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getLabelledBy

### getLayout

- getLayout(): Promise<string>

- Gets the value of `layout` property. Specifies the layout of the color swatches.

  #### Returns Promise<string>

  The value of `layout` property.

  #### Deprecated

  Since 18.0.0. This is deprecated as only grid layout values are now supported.

  Inherited from OjColorPaletteBase.getLayout

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getLocation

### getMessagesCustom

- getMessagesCustom(): Promise<object[]>

- Gets the value of `messagesCustom` property. A list of messages added by an application to the component. See the Help documentation for more information.

  #### Returns Promise<object[]>

  The value of `messagesCustom` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getMessagesCustom

### getPalette

- getPalette(): Promise<Palette[]>

- Gets the value of `palette` property. Specifies an array of objects defining the palette's color set.

  #### Returns Promise<Palette[]>

  The value of `palette` property.

  Inherited from OjColorPaletteBase.getPalette

### getPlaceholder

- getPlaceholder(): Promise<string>

- Gets the value of `placeholder` property. The placeholder text to set on the element.

  #### Returns Promise<string>

  The value of `placeholder` property.

  #### Deprecated

  Since 18.0.0. oj-color-palette doesn't have a text input, so this was never needed.

  Inherited from OjColorPaletteBase.getPlaceholder

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjColorPaletteBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getRect

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getSize

### getSwatchSize

- getSwatchSize(): Promise<string>

- Gets the value of `swatchSize` property. Specifies the swatch size.

  #### Returns Promise<string>

  The value of `swatchSize` property.

  Inherited from OjColorPaletteBase.getSwatchSize

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.getText

### getTranslations

- getTranslations(): Promise<Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<Translations>

  The value of `translations` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to be validated, display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getTranslations

### getUserAssistanceDensity

- getUserAssistanceDensity(): Promise<string>

- Gets the value of `userAssistanceDensity` property. Specifies the density of the form component's user assistance presentation.

  #### Returns Promise<string>

  The value of `userAssistanceDensity` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getUserAssistanceDensity

### getValid

- getValid(): Promise<string>

- Gets the value of `valid` property. The validity state of the component

  #### Returns Promise<string>

  The value of `valid` property.

  #### Deprecated

  Since 18.0.0. The oj-color-palette is not meant to be validated, display messages, be labelled, or be in a form layout by itself. Per the Redwood UX specification, the oj-color-palette is not intended to be a form component.

  Inherited from OjColorPaletteBase.getValid

### getValue

- getValue(): Promise<string | object>

- Gets the value of `value` property. The current value of the palette element.

  #### Returns Promise<string | object>

  The value of `value` property.

  Inherited from OjColorPaletteBase.getValue

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjColorPaletteBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjColorPaletteBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjColorPaletteBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjColorPaletteBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjColorPaletteBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjColorPaletteBase.whenReady

Generated using TypeDoc